# Interface ResourceObjectSymbolJson

The primitive shape (primitive) or external 3D model (href) used to visualize the points.

See https://developers.arcgis.com/web-scene-specification/objects/objectSymbol3DLayer_resource/.

interface ResourceObjectSymbolJson {
href?: string;
primitive?: string;
}

#####
Index

### Properties

href?
primitive?

##
Properties

### `Optional` href

href?: string

Must be an absolute URL or a relative path starting with "./".

### `Optional` primitive

primitive?: string

Must be one of the following values: sphere, cylinder, cube, cone, invertedCone, diamond, tetrahedron.